Bug 1775274 - [RFE] Allow for the manual install of the inventory plugin
Summary: [RFE] Allow for the manual install of the inventory plugin
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: rubygem-redhat_access_lib
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: 6.7.0
Assignee: satellite6-bugs
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-21 16:12 UTC by Bryan Kearney
Modified: 2020-04-14 13:27 UTC (History)
2 users (show)

Fixed In Version: tfm-rubygem-foreman_inventory_upload-1.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1779175 1779176 (view as bug list)
Environment:
Last Closed: 2020-04-14 13:27:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:27:37 UTC

Description Bryan Kearney 2019-11-21 16:12:32 UTC
The inventory plugin should be available in the repositories to be installed manually.

Comment 4 jcallaha 2019-11-22 22:00:45 UTC
Verified in Satellite 6.7 Snap 2.

There is now a new option to enable the plugin.

-bash-4.2# satellite-installer --scenario satellite --help | grep inventory
    --[no-]enable-foreman-plugin-inventory-upload Enable 'foreman_plugin_inventory_upload' puppet module (default: false)


Installation succeeds and the plugin is installed.

-bash-4.2# satellite-installer --scenario satellite --enable-foreman-plugin-inventory-upload
Package versions are locked. Continuing with unlock.
Installing             Done                                               [100%] [...........................................................................................................]
  Success!
  * Satellite is running at https://<mysathost>

  * To install an additional Capsule on separate machine continue by running:

      capsule-certs-generate --foreman-proxy-fqdn "$CAPSULE" --certs-tar "/root/$CAPSULE-certs.tar"

  * To upgrade an existing 6.6 Capsule to 6.7:
      Please see official documentation for steps and parameters to use when upgrading a 6.6 Capsule to 6.7.

  The full log is at /var/log/foreman-installer/satellite.log
Package versions are being locked.
-bash-4.2# 
-bash-4.2# rpm -qa | grep inventory
tfm-rubygem-foreman_inventory_upload-1.0.0-1.el7sat.noarch

Comment 7 errata-xmlrpc 2020-04-14 13:27:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.